ActiveMQQueue (ActiveMQ Artemis Web 1.1.0.wildfly-010 API)
Date: 2015-12-18

org.apache.activemq.artemis.jms.client

## Class ActiveMQQueue

- java.lang.Object
- - org.apache.activemq.artemis.jms.client.ActiveMQDestination
  - - org.apache.activemq.artemis.jms.client.ActiveMQQueue

- All Implemented Interfaces:
    Serializable, javax.jms.Destination, javax.jms.Queue, Referenceable
  Direct Known Subclasses:
    ActiveMQTemporaryQueue

      public class ActiveMQQueue
      extends ActiveMQDestination
      implements javax.jms.Queue

  ActiveMQ Artemis implementation of a JMS Queue.
  This class can be instantiated directly.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.apache.activemq.artemis.jms.client.ActiveMQDestination

      `JMS_QUEUE_ADDRESS_PREFIX, JMS_TEMP_QUEUE_ADDRESS_PREFIX, JMS_TEMP_TOPIC_ADDRESS_PREFIX, JMS_TOPIC_ADDRESS_PREFIX, name, QUEUE_QUALIFIED_PREFIX, QUEUE_TYPE, TEMP_MASK, TEMP_QUEUE_QUALIFED_PREFIX, TEMP_QUEUE_TYPE, TEMP_TOPIC_QUALIFED_PREFIX, TEMP_TOPIC_TYPE, TOPIC_QUALIFIED_PREFIX, TOPIC_TYPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ActiveMQQueue(String name)`
    `ActiveMQQueue(String name, boolean temporary)`
    `ActiveMQQueue(String address, String name)`
    `ActiveMQQueue(String address, String name, boolean temporary, ActiveMQSession session)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SimpleString` | `createAddressFromName(String name)`
    `String` | `getQueueName()`
    `String` | `toString()`

    - ### Methods inherited from class org.apache.activemq.artemis.jms.client.ActiveMQDestination

      `createDestination, createQueue, createQueueAddressFromName, createQueueNameForDurableSubscription, createQueueNameForSharedSubscription, createTemporaryQueue, createTemporaryQueue, createTemporaryQueue, createTemporaryTopic, createTemporaryTopic, createTemporaryTopic, createTopic, createTopicAddressFromName, decomposeQueueNameForDurableSubscription, delete, equals, fromAddress, getAddress, getName, getReference, getSimpleAddress, hashCode, isQueue, isTemporary`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ActiveMQQueue

          public ActiveMQQueue(String name)

    - #### ActiveMQQueue

          public ActiveMQQueue(String name,
                               boolean temporary)

    - #### ActiveMQQueue

          public ActiveMQQueue(String address,
                               String name,
                               boolean temporary,
                               ActiveMQSession session)

      Parameters:
        `address` -
        `name` -
        `temporary` -
        `session` -

    - #### ActiveMQQueue

          public ActiveMQQueue(String address,
                               String name)

  - ### Method Detail

    - #### createAddressFromName

          public static SimpleString createAddressFromName(String name)

    - #### getQueueName

          public String getQueueName()

      Specified by:
        `getQueueName` in interface `javax.jms.Queue`

    - #### toString

          public String toString()

      Specified by:
        `toString` in interface `javax.jms.Queue`
      Overrides:
        `toString` in class `Object`

Copyright © 2015. All rights reserved.